package com.huimv.eartag.service;

import com.huimv.eartag.vo.Result;

import java.text.ParseException;

public interface IDeviceRegisterService {
    //添加设备
    Result addDevice(String chipId, String deviceCode, Integer deviceStatus, Integer activeStatus, String deviceAlias, String location, String remark, String farmId) throws ParseException;

    //编辑设备
    Result editDevice(String chipId, String deviceCode, Integer lastDeviceStatus, Integer deviceStatus, Integer activeStatus, String deviceAlias, String location, String remark, Integer id) throws ParseException;

    //移除设备
    Result removeDevice(String ids);

    //展示设备注册列表
    Result listDevice(String farmId, String deviceCode, Integer deviceStatus, Integer activeStatus, String deviceAlias, String location, Integer pageNo, Integer pageSize);

    //批量删除
    Result removeBatchDevice(String ids);

    //注销设备
    Result setDeviceStatus(Integer id, Integer deviceStatus) throws ParseException;
}
